commit:     b9b5f22fd242bed66ea405a937e9718207450cea
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 28 04:54:11 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Nov 28 04:54:11 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9b5f22f

dev-python/sphinx-rtd-theme: Bump to 2.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinx-rtd-theme/Manifest               |  1 +
 .../sphinx-rtd-theme/sphinx-rtd-theme-2.0.0.ebuild | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/sphinx-rtd-theme/Manifest 
b/dev-python/sphinx-rtd-theme/Manifest
index 5ecf40944556..a4358d1fb919 100644
--- a/dev-python/sphinx-rtd-theme/Manifest
+++ b/dev-python/sphinx-rtd-theme/Manifest
@@ -1 +1,2 @@
 DIST sphinx_rtd_theme-1.3.0.tar.gz 2785069 BLAKE2B 
f9849a72941024de7537a3517e226e2cdc6b2067e043bcdf8bbb4cc29cdf8b0be67121f721d92d30ffccea367af62ff0ce71d5d00d8eafbb65a2ebf4ef8e5159
 SHA512 
41e8ebffd057c1c6efb41a05547067016e73047a1894340df92bb7e4232559de15b200f57a34cf1cf9f66e4af7019d66d12939a68d3b2b46460a1794a10fc32e
+DIST sphinx_rtd_theme-2.0.0.tar.gz 2785005 BLAKE2B 
a9971cba0bf04d786e41144fc04c8450be3291f0f5c3164b793258a489d5c1348bded906f47071ebd9aa4fa022bca157a18f758d3e2f48765ae5c65655a8c25f
 SHA512 
3de989e24f2c187058b19017a92cf2159af0fdb32e5c3bc46992797a3be0f23ad75e1fd9b758e7d672eb38524798b4800de2e1b405910ea043dbd7d6f32a05da

diff --git a/dev-python/sphinx-rtd-theme/sphinx-rtd-theme-2.0.0.ebuild 
b/dev-python/sphinx-rtd-theme/sphinx-rtd-theme-2.0.0.ebuild
new file mode 100644
index 000000000000..eed7b42a6f04
--- /dev/null
+++ b/dev-python/sphinx-rtd-theme/sphinx-rtd-theme-2.0.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="ReadTheDocs.org theme for Sphinx"
+HOMEPAGE="
+       https://github.com/readthedocs/sphinx_rtd_theme/
+       https://pypi.org/project/sphinx-rtd-theme/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+       dev-python/docutils[${PYTHON_USEDEP}]
+       >=dev-python/sphinx-5[${PYTHON_USEDEP}]
+       >=dev-python/sphinxcontrib-jquery-4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/readthedocs-sphinx-ext[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # remove upper bounds
+       sed -i -e 's:,\?<[0-9.]*::' setup.cfg || die
+       distutils-r1_src_prepare
+
+       # CI=1 disables rebuilding webpack that requires npm use
+       # yes, that surely makes sense
+       export CI=1
+}

Reply via email to